package cn.soul2.jyjc.admin.controller;

import cn.soul2.jyjc.admin.dto.AnswerPageQueryDTO;
import cn.soul2.jyjc.admin.dto.AnswerSubmitDTO;
import cn.soul2.jyjc.admin.service.IAnswerService;
import cn.soul2.jyjc.admin.utils.base.BackUtils;
import cn.soul2.jyjc.admin.vo.AnswerSheetVO;
import cn.soul2.jyjc.admin.vo.base.Back;
import cn.soul2.jyjc.admin.vo.base.VPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Soul2
 * @date 2024-03-27 13:24
 */

@Slf4j
@RestController
@RequestMapping("/answer")
public class AnswerController {

    @Autowired
    private IAnswerService answerService;

    @PostMapping("submit")
    public Back<Boolean> submit(@RequestBody AnswerSubmitDTO dto) {
        return BackUtils.success(answerService.handleSubmit(dto));
    }

    @PostMapping("page")
    public Back<VPage<AnswerSheetVO>> page(@RequestBody AnswerPageQueryDTO dto) {
        return BackUtils.success(answerService.page(dto));
    }


}
