package cn.soul2.jyjc.admin.controller;

import cn.soul2.jyjc.admin.dto.QnOptionsDTO;
import cn.soul2.jyjc.admin.dto.QnSubjectRefSaveDTO;
import cn.soul2.jyjc.admin.dto.QuestionnaireDTO;
import cn.soul2.jyjc.admin.dto.base.UpdateStatusDTO;
import cn.soul2.jyjc.admin.repository.IQuestionnaireRepository;
import cn.soul2.jyjc.admin.repository.IRefQuestionnaireSubjectRepository;
import cn.soul2.jyjc.admin.utils.base.BackUtils;
import cn.soul2.jyjc.admin.vo.QuestionnaireVO;
import cn.soul2.jyjc.admin.vo.base.Back;
import cn.soul2.jyjc.admin.vo.base.OptionsVO;
import cn.soul2.jyjc.admin.vo.base.VPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Soul2
 * @date 2024-03-12 12:28
 */

@Slf4j
@RestController
@RequestMapping("/questionnaire")
public class QuestionnaireController {

    @Autowired
    private IQuestionnaireRepository questionnaireRepository;

    @Autowired
    private IRefQuestionnaireSubjectRepository refQuestionnaireSubjectRepository;

    @PostMapping("saveOrUpdate")
    public Back<Boolean> saveOrUpdate(@RequestBody QuestionnaireDTO dto) {
        return BackUtils.success(questionnaireRepository.saveOrUpdate(dto));
    }

    @PostMapping("page")
    public Back<VPage<QuestionnaireVO>> page(@RequestBody QuestionnaireDTO dto) {
        return BackUtils.success(questionnaireRepository.page(dto));
    }

    @PostMapping("remove")
    public Back<Boolean> remove(@RequestBody List<String> ids) {
        return BackUtils.success(questionnaireRepository.removeByIds(ids));
    }

    @PostMapping("status")
    public Back<Boolean> status(@RequestBody UpdateStatusDTO dto) {
        return BackUtils.success(questionnaireRepository.updateStatus(dto));
    }

    @PostMapping("ref")
    public Back<Boolean> ref(@RequestBody QnSubjectRefSaveDTO dto) {
        return BackUtils.success(refQuestionnaireSubjectRepository.updateRefSubjects(dto));
    }

    @PostMapping("options")
    public Back<List<OptionsVO>> options(@RequestBody QnOptionsDTO dto) {
        return BackUtils.success(questionnaireRepository.options(dto));
    }

}
