package cn.soul2.jyjc.admin.controller;

import cn.soul2.jyjc.admin.annotation.SkinLogin;
import cn.soul2.jyjc.admin.dto.UserLoginDTO;
import cn.soul2.jyjc.admin.dto.UserLogoutDTO;
import cn.soul2.jyjc.admin.service.IUserService;
import cn.soul2.jyjc.admin.utils.base.BackUtils;
import cn.soul2.jyjc.admin.vo.UserVO;
import cn.soul2.jyjc.admin.vo.base.Back;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Soul2
 * @date 2024-03-31 15:48
 */

@Slf4j
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private IUserService userService;

    @PostMapping("login")
    @SkinLogin
    public Back<UserVO> login(@RequestBody UserLoginDTO dto) {
        return BackUtils.success(userService.login(dto));
    }

    @PostMapping("register")
    @SkinLogin
    public Back<UserVO> register(@RequestBody UserLoginDTO dto) {
        return BackUtils.success(userService.register(dto));
    }

    @PostMapping("logout")
    public Back<Boolean> logout(@RequestBody UserLogoutDTO dto) {
        return BackUtils.success(userService.logout(dto));
    }

}
