package cn.soul2.jyjc.admin.dto;

import cn.soul2.jyjc.admin.dto.base.PageParams;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @author Soul2
 * @date 2024-03-11 14:35
 */

@Data
@Accessors(chain = true)
public class QrDTO extends PageParams {

    /**
     * 二维码id
     */
    private String id;

    /**
     * 指向的URL
     */
    private String toUrl;

    /**
     * 问卷id
     */
    private String qnId;

    /**
     * 状态：0：禁用；1：启用；
     */
    private Integer status;


    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    /**
     * 注释
     */
    private String tip;

    /**
     * 二维码url
     */
    private String qrUrl;

}
