package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 答卷详情表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-27 15:38:51
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_answer_details")
public class AnswerDetailsDO extends Model<AnswerDetailsDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 题目类型:0-单选;1-多选;2-文字
     */
    @TableField("subject_type")
    private Integer subjectType;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Short removed;

    /**
     * 答卷id
     */
    @TableField("answer_sheet_id")
    private String answerSheetId;

    /**
     * 题目id
     */
    @TableField("subject_id")
    private String subjectId;

    /**
     * 回答内容(文字/选项id)
     */
    @TableField("answer_content")
    private String answerContent;

    /**
     * 得分
     */
    @TableField("points")
    private Integer points;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
