package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 答卷表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-13 12:36:58
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_answer_sheet")
public class AnswerSheetDO extends Model<AnswerSheetDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 状态：0：未提交；1：已提交；
     */
    @TableField("status")
    private Short status;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Short removed;

    /**
     * 问卷id
     */
    @TableField("qn_id")
    private String qnId;

    /**
     * 二维码id
     */
    @TableField("qr_id")
    private String qrId;

    /**
     * 答卷人
     */
    @TableField("respondent")
    private String respondent;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
