package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 第三方结果回传表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:29:17
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_external_backhaul")
public class ExternalBackhaulDO extends Model<ExternalBackhaulDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 原始信息
     */
    @TableField("original_backhaul")
    private String originalBackhaul;

    /**
     * 来自谁
     */
    @TableField("original_by")
    private String originalBy;

    /**
     * 回传来源平台
     */
    @TableField("external_name")
    private String externalName;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Short removed;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
