package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 二维码表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-11 17:01:53
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_qr")
public class QrDO extends Model<QrDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 二维码id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 指向的URL
     */
    @TableField("to_url")
    private String toUrl;

    /**
     * 问卷id
     */
    @TableField("qn_id")
    private String qnId;

    /**
     * 注释
     */
    @TableField("tip")
    private String tip;

    /**
     * 二维码url
     */
    @TableField("qr_url")
    private String qrUrl;

    /**
     * 状态：0：禁用；1：启用；
     */
    @TableField("status")
    private Integer status;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Integer removed;


    @Override
    public Serializable pkVal() {
        return null;
    }

}
