package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 问卷表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-11 23:11:45
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_questionnaire")
public class QuestionnaireDO extends Model<QuestionnaireDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 名称
     */
    @TableField("name")
    private String name;

    /**
     * 二维码id
     */
    @TableField("qr_id")
    private String qrId;

    /**
     * 状态：0：禁用；1：启用；
     */
    @TableField("status")
    private Short status;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Short removed;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
