package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 题目-选项连接表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-13 15:35:52
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_ref_subject_items")
public class RefSubjectItemsDO extends Model<RefSubjectItemsDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Short removed;

    /**
     * 题目id
     */
    @TableField("subject_id")
    private String subjectId;

    /**
     * 选项id
     */
    @TableField("item_id")
    private String itemId;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
