package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 题目表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-27 15:38:52
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_subject")
public class SubjectDO extends Model<SubjectDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 题目标题
     */
    @TableField("title")
    private String title;

    /**
     * 题目内容
     */
    @TableField("content")
    private String content;

    /**
     * 排列序号
     */
    @TableField("sort")
    private Short sort;

    /**
     * 状态：0：禁用；1：启用；
     */
    @TableField("status")
    private Short status;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Short removed;

    /**
     * 题目类型:0-单选;1-多选;2-文字
     */
    @TableField("type")
    private Short type;

    /**
     * 权重
     */
    @TableField("weights")
    private Double weights;

    /**
     * 分值
     */
    @TableField("points")
    private Integer points;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
