package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 题选项表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-15 20:03:34
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_subject_items")
public class SubjectItemsDO extends Model<SubjectItemsDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 选项内容
     */
    @TableField("content")
    private String content;

    /**
     * 排列序号
     */
    @TableField("sort")
    private Short sort;

    /**
     * 题目id
     */
    @TableField("subject_id")
    private String subjectId;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Short removed;

    /**
     * 权重
     */
    @TableField("weights")
    private Double weights;

    /**
     * 分值
     */
    @TableField("points")
    private Integer points;

    /**
     * 是正确答案
     */
    @TableField("is_right")
    private Short isRight;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
