package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-30 14:34:13
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_user")
public class UserDO extends Model<UserDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 用户名
     */
    @TableField("username")
    private String username;

    /**
     * 密码
     */
    @TableField("password")
    private String password;

    /**
     * 状态;0(默认)：正常；4：封号；9：异常；
     */
    @TableField("status")
    private Integer status;

    /**
     * 权限等级,默认200
     */
    @TableField("authority_level")
    private Integer authorityLevel;

    /**
     * 密码修改次数
     */
    @TableField("psw_change")
    private Integer pswChange;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标记
     */
    @TableField("removed")
    @TableLogic
    private Integer removed;

    /**
     * 盐,用于密码加密,未启用
     */
    @TableField("salt")
    private String salt;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
