package cn.soul2.jyjc.admin.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户登入登出表
 * </p>
 *
 * @author Soul2
 * @since 2024-03-30 13:57:00
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("tb_user_login_out")
public class UserLoginOutDO extends Model<UserLoginOutDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 用户id
     */
    @TableField("user_id")
    private String userId;

    /**
     * 用户名称
     */
    @TableField("user_name")
    private String userName;

    /**
     * 登录时间,登录成功才写入
     */
    @TableField("login_time")
    private LocalDateTime loginTime;

    /**
     * 登录失效时间
     */
    @TableField("lapse_time")
    private LocalDateTime lapseTime;

    /**
     * 用户操作登出时间
     */
    @TableField("logout_time")
    private LocalDateTime logoutTime;

    /**
     * 密码错误次数
     */
    @TableField("psw_error_count")
    private Integer pswErrorCount;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 1=删除;0=未删除
     */
    @TableField("removed")
    @TableLogic
    private Integer removed;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
