package cn.soul2.jyjc.admin.mapper;

import cn.soul2.jyjc.admin.entity.QuestionnaireDO;
import cn.soul2.jyjc.admin.vo.QuestionnaireVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 问卷表 Mapper 接口
 * </p>
 *
 * @author Soul2
 * @since 2024-03-11 23:11:45
 */
public interface QuestionnaireMapper extends BaseMapper<QuestionnaireDO> {

    /**
     * 分页查询问卷及选择题目数量
     *
     * @param page    页码
     * @param wrapper 查询条件
     * @return {@link IPage}<{@link QuestionnaireVO}>
     */
    @Select("select a.*, IFNULL(r.has_subject_count,0) as has_subject_count from (SELECT * FROM tb_questionnaire WHERE removed=0) a left join (select max(qn_id) as qn_id, count(subject_id) as has_subject_count from tb_ref_questionnaire_subject WHERE removed=0) r on a.id=r.qn_id " +
            "${ew.customSqlSegment}")
    IPage<QuestionnaireVO> page(IPage<QuestionnaireDO> page, @Param(Constants.WRAPPER) Wrapper wrapper);

}
