package cn.soul2.jyjc.admin.mapper;

import cn.soul2.jyjc.admin.entity.SubjectDO;
import cn.soul2.jyjc.admin.entity.sqlresult.SubjectChooseListDO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 题目表 Mapper 接口
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:10:24
 */
public interface SubjectMapper extends BaseMapper<SubjectDO> {

    /**
     * 分页查询已选题目, 用于问卷选择题目
     *
     * @param page    页码
     * @param wrapper 查询条件
     * @param qnId    问卷id
     * @return {@link IPage}<{@link SubjectChooseListDO}>
     */
    @Select("select a.id, ifnull(r.use_count, 0) as use_count, a.content, a.sort, a.title, a.type, (CASE WHEN EXISTS (SELECT 1 FROM tb_ref_questionnaire_subject WHERE removed = 0 and qn_id = #{qnId} AND subject_id = a.id) THEN 1 ELSE 0 END) AS selected from (select * from tb_subject WHERE removed = 0) a left join (select min(subject_id) subject_id, count(qn_id) as use_count from tb_ref_questionnaire_subject WHERE removed = 0) r on a.id=r.subject_id " +
            "${ew.customSqlSegment}")
    IPage<SubjectChooseListDO> useCounts(IPage<SubjectChooseListDO> page, @Param(Constants.WRAPPER) Wrapper wrapper, String qnId);

}
