package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.dto.AnswerPageQueryDTO;
import cn.soul2.jyjc.admin.entity.AnswerSheetDO;
import cn.soul2.jyjc.admin.vo.AnswerSheetVO;
import cn.soul2.jyjc.admin.vo.base.VPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;

/**
 * <p>
 * 答卷表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:10:24
 */
public interface IAnswerSheetRepository extends IService<AnswerSheetDO> {

    /**
     * 分页查询答题详情
     *
     * @param dto 查询条件
     * @return {@link VPage}<{@link AnswerSheetVO}>
     */
    VPage<AnswerSheetVO> page(AnswerPageQueryDTO dto);

    /**
     * 保存答卷
     *
     * @param sheet 答卷
     * @return {@link Boolean}
     */
    Boolean saveSheet(AnswerSheetVO sheet);

    Boolean removeSheetByIds(Collection<String> sheetIds);

}
