package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.dto.ExternalBackhaulDTO;
import cn.soul2.jyjc.admin.entity.ExternalBackhaulDO;
import cn.soul2.jyjc.admin.vo.ExternalBackhaulVO;
import cn.soul2.jyjc.admin.vo.base.VPage;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 第三方结果回传表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:29:17
 */
public interface IExternalBackhaulRepository extends IService<ExternalBackhaulDO> {

    /**
     * 保存第三方平台返回的问卷结果
     *
     * @param jo           问卷结果
     * @param externalName 第三方平台名称
     * @param originalBy   问卷填写者
     * @return {@link Boolean}
     */
    Boolean save(JSONObject jo, String externalName, String originalBy);

    /**
     * 分页查询
     *
     * @param dto 查询条件
     * @return {@link VPage}<{@link ExternalBackhaulVO}>
     */
    VPage<ExternalBackhaulVO> page(ExternalBackhaulDTO dto);
}
