package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.dto.QrDTO;
import cn.soul2.jyjc.admin.entity.QrDO;
import cn.soul2.jyjc.admin.vo.QrVO;
import cn.soul2.jyjc.admin.vo.base.VPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;

/**
 * <p>
 * 二维码表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-11 14:28:45
 */
public interface IQrRepository extends IService<QrDO> {

    VPage<QrDO> page(QrDTO dto);

    Boolean saveOrUpdate(Collection<QrVO> dtos);

    Boolean remove(Collection<String> ids);

    boolean status(QrDTO status);

    /**
     * 从二维码id读取跳转目标
     * url的优先级大于问卷id
     *
     * @param id 二维码id
     * @return {@link String}
     */
    String getTo(String id);
}
