package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.dto.QnOptionsDTO;
import cn.soul2.jyjc.admin.dto.QuestionnaireDTO;
import cn.soul2.jyjc.admin.dto.base.UpdateStatusDTO;
import cn.soul2.jyjc.admin.entity.QuestionnaireDO;
import cn.soul2.jyjc.admin.vo.QuestionnaireVO;
import cn.soul2.jyjc.admin.vo.base.OptionsVO;
import cn.soul2.jyjc.admin.vo.base.VPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 问卷表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-11 23:11:45
 */
public interface IQuestionnaireRepository extends IService<QuestionnaireDO> {

    /**
     * 分页查询
     *
     * @param dto 查询条件
     * @return {@link VPage}<{@link QuestionnaireVO}>
     */
    VPage<QuestionnaireVO> page(QuestionnaireDTO dto);

    /**
     * 保存或更新
     *
     * @param dto 有无id确定更新/新增
     * @return {@link Boolean}
     */
    Boolean saveOrUpdate(QuestionnaireDTO dto);

    /**
     * 更新状态
     *
     * @param dto 入参
     * @return {@link Boolean}
     */
    Boolean updateStatus(UpdateStatusDTO dto);

    /**
     * 查询最近新增/编辑的一个问卷
     * 未启用的问卷会被排除
     *
     * @return {@link QuestionnaireDO}
     */
    QuestionnaireDO getTheLatestOne();

    List<OptionsVO> options(QnOptionsDTO dto);


    Map<String, QuestionnaireDO> mapByIds(Collection<String> ids);

}
