package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.dto.QnSubjectRefSaveDTO;
import cn.soul2.jyjc.admin.entity.RefQuestionnaireSubjectDO;
import cn.soul2.jyjc.admin.entity.SubjectDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 题目-问卷连接表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:10:24
 */
public interface IRefQuestionnaireSubjectRepository extends IService<RefQuestionnaireSubjectDO> {

    /**
     * 根据问卷id查询所有题目
     *
     * @param qnIds 问卷id
     * @return {@link List}<{@link SubjectDO}>
     */
    List<SubjectDO> getSubjects(Collection<String> qnIds);

    Boolean updateRefSubjects(QnSubjectRefSaveDTO dto);


}
