package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.entity.SubjectItemsDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 题选项表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:10:24
 */
public interface ISubjectItemsRepository extends IService<SubjectItemsDO> {

    /**
     * 根据题目id查询选项
     *
     * @param subjectId 题目id
     * @return {@link List}<{@link SubjectItemsDO}>
     */
    List<SubjectItemsDO> listBySubjectId(String subjectId);

    /**
     * 根据题目id查询选项
     *
     * @param subjectIds 题目id
     * @return {@link List}<{@link SubjectItemsDO}>
     */
    List<SubjectItemsDO> listBySubjectIds(Collection<String> subjectIds);

    Map<String, SubjectItemsDO> mapByIds(Collection<String> ids);

    /**
     * 删除指定题目id下的所有选项
     *
     * @param subjectIds 题目id
     * @return {@link Boolean}
     */
    Boolean removeBySubjectId(Collection<String> subjectIds);


}
