package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.dto.QnSubjectRefItemDTO;
import cn.soul2.jyjc.admin.dto.SubjectDTO;
import cn.soul2.jyjc.admin.dto.base.UpdateStatusDTO;
import cn.soul2.jyjc.admin.entity.SubjectDO;
import cn.soul2.jyjc.admin.entity.sqlresult.SubjectChooseListDO;
import cn.soul2.jyjc.admin.vo.SubjectVO;
import cn.soul2.jyjc.admin.vo.base.VPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.Map;

/**
 * <p>
 * 题目表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:10:24
 */
public interface ISubjectRepository extends IService<SubjectDO> {

    /**
     * 保存或更新
     *
     * @param dto 入参
     * @return {@link Boolean}
     */
    Boolean saveOrUpdate(SubjectDTO dto);

    /**
     * 删除题目,同时删除选项
     *
     * @param ids 题目id
     * @return {@link Boolean}
     */
    Boolean removeAndItems(Collection<String> ids);

    /**
     * 分页查询
     *
     * @param dto 查询条件
     * @return {@link VPage}<{@link SubjectVO}>
     */
    VPage<SubjectVO> page(SubjectDTO dto);

    /**
     * 更新状态
     *
     * @param dto 目标id和状态
     * @return {@link Boolean}
     * @deprecated 问题状态无意义, 更新状态将没有任何影响
     */
    Boolean status(UpdateStatusDTO dto);

    /**
     * 问卷选择题目时的视图查询
     *
     * @param dto 查询条件
     * @return {@link VPage}<{@link SubjectChooseListDO}>
     */
    VPage<SubjectChooseListDO> chooseList(QnSubjectRefItemDTO dto);

    Map<String, SubjectDO> mapByIds(Collection<String> ids);

}
