package cn.soul2.jyjc.admin.repository;

import cn.soul2.jyjc.admin.dto.UserPageDTO;
import cn.soul2.jyjc.admin.dto.UserSaveDTO;
import cn.soul2.jyjc.admin.dto.base.UpdateStatusDTO;
import cn.soul2.jyjc.admin.entity.UserDO;
import cn.soul2.jyjc.admin.vo.base.VPage;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-29 20:46:42
 */
public interface IUserRepository extends IService<UserDO> {

    /**
     * 分页查询
     *
     * @param dto 查询条件
     * @return {@link VPage}<{@link UserDO}>
     */
    IPage<UserDO> page(UserPageDTO dto);

    /**
     * 保存或更新
     *
     * @param dto 有/无id区分更新/新增
     * @return {@link Boolean}
     */
    Boolean saveOrUpdate(UserSaveDTO dto);

    /**
     * 更新状态
     *
     * @param dto 新状态
     * @return {@link Boolean}
     */
    Boolean updateStatus(UpdateStatusDTO dto);

    /**
     * 读取指定名字的用户
     *
     * @param username 用户名
     * @return {@link UserDO}
     */
    UserDO getOneByUsername(String username);


}
