package cn.soul2.jyjc.admin.repository.impl;

import cn.soul2.jyjc.admin.entity.AnswerDetailsDO;
import cn.soul2.jyjc.admin.mapper.AnswerDetailsMapper;
import cn.soul2.jyjc.admin.repository.IAnswerDetailsRepository;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 答卷详情表 服务实现类
 * </p>
 *
 * @author Soul2
 * @since 2024-03-12 10:10:24
 */
@Service
public class AnswerDetailsRepositoryImpl extends ServiceImpl<AnswerDetailsMapper, AnswerDetailsDO> implements IAnswerDetailsRepository {

    @Override
    public List<AnswerDetailsDO> listBySheetIds(Collection<String> sheetIds) {
        if (CollectionUtils.isNotEmpty(sheetIds)) {
            LambdaQueryWrapper<AnswerDetailsDO> query = Wrappers.lambdaQuery();
            query.in(AnswerDetailsDO::getAnswerSheetId, sheetIds);
            return super.list(query);
        } else {
            return new ArrayList<>();
        }
    }
}
