package cn.soul2.jyjc.admin.service.impl;

import cn.soul2.jyjc.admin.dto.GetSubjectDTO;
import cn.soul2.jyjc.admin.entity.RefQuestionnaireSubjectDO;
import cn.soul2.jyjc.admin.entity.SubjectDO;
import cn.soul2.jyjc.admin.entity.SubjectItemsDO;
import cn.soul2.jyjc.admin.repository.IRefQuestionnaireSubjectRepository;
import cn.soul2.jyjc.admin.repository.ISubjectItemsRepository;
import cn.soul2.jyjc.admin.repository.ISubjectRepository;
import cn.soul2.jyjc.admin.service.ISubjectService;
import cn.soul2.jyjc.admin.vo.SubjectItemVO;
import cn.soul2.jyjc.admin.vo.SubjectVO;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * @author Soul2
 * @date 2024-03-24 21:38
 */

@Service
public class SubjectServiceImpl implements ISubjectService {

    @Autowired
    private IRefQuestionnaireSubjectRepository refQuestionnaireSubjectRepository;

    @Autowired
    private ISubjectItemsRepository itemsRepository;

    @Autowired
    private ISubjectRepository subjectRepository;

    @Override
    public List<SubjectVO> getSubject(GetSubjectDTO dto) {
        if (StringUtils.isBlank(dto.getQnId())) {
            return new ArrayList<>();
        }
        LambdaQueryWrapper<RefQuestionnaireSubjectDO> query = Wrappers.lambdaQuery();
        query.eq(RefQuestionnaireSubjectDO::getQnId, dto.getQnId());
        List<RefQuestionnaireSubjectDO> refs = refQuestionnaireSubjectRepository.list(query);
        Set<String> idSet = refs.stream().map(RefQuestionnaireSubjectDO::getSubjectId).collect(Collectors.toSet());
        List<SubjectItemsDO> itemsDos = itemsRepository.listBySubjectIds(idSet);
        if (CollectionUtils.isEmpty(idSet)) {
            return new ArrayList<>();
        }
        List<SubjectDO> list = subjectRepository.listByIds(idSet);
        return list.stream().map(e -> {
            SubjectVO vo = new SubjectVO();
            BeanUtils.copyProperties(e, vo);
            List<SubjectItemVO> items = itemsDos.stream()
                    .filter(item -> item.getSubjectId().equals(e.getId()))
                    .map(item -> {
                        SubjectItemVO itemVO = new SubjectItemVO();
                        BeanUtils.copyProperties(item, itemVO);
                        return itemVO.setItemId(item.getId());
                    })
                    .collect(Collectors.toList());
            vo.setItems(items);
            return vo;
        }).collect(Collectors.toList());
    }
}
