package cn.soul2.jyjc.admin.utils;

import java.security.SecureRandom;
import java.util.Base64;

/**
 * 盐值生成
 *
 * @author Soul2
 * @date 2024-03-30 14:30
 */

public class SaltUtils {

    /**
     * 生成指定长度的盐值
     *
     * @param length 盐值长度
     * @return {@link String}
     */
    public static String generateSalt(int length) {
        SecureRandom random = new SecureRandom();
        byte[] salt = new byte[length];
        random.nextBytes(salt);
        return Base64.getEncoder().encodeToString(salt);
    }

    public static void main(String[] args) {
        // 设置盐值长度
        int saltLength = 16;
        String salt = generateSalt(saltLength);
        System.out.println("Generated Salt: " + salt);
    }

}
